libminc (2.4.03-4) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 09:04:35 +0200

libminc (2.4.03-3) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Nov 2020 09:07:03 +0100

libminc (2.4.03-2) unstable; urgency=medium

  * Team upload
  * d/: Install cmake file in the correct location Closes: #907553
        (locutusofborg)

 -- Gert Wollny <gewo@debian.org>  Thu, 30 Aug 2018 18:44:55 +0200

libminc (2.4.03-1) unstable; urgency=medium

  * re-upload to sid

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Aug 2018 19:10:28 +0200

libminc (2.4.03-1~exp3) experimental; urgency=medium

  * Team upload
  * d/p/disable: avoid FTBFS on powerpc

 -- Gert Wollny <gewo@debian.org>  Thu, 16 Aug 2018 17:46:26 +0200

libminc (2.4.03-1~exp2) experimental; urgency=medium

  * d/p/initialize: Fix FTBFS on armhf and possibly other archs

 -- Gert Wollny <gewo@debian.org>  Sun, 03 Jun 2018 10:40:12 +0200

libminc (2.4.03-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.4.03
  * d/p: remove patches resolved upstream
  * d/rules: Enable system nifti from build rules
  * d/control: cme fix dpkg: Update urls and standard (no changes needed)
  * d/rules, *.install: Move to use install files
  * d/p/remove-rpath: Don't set rpath when installing
  * Correct *.cmake install location
  * d/rules: add -ffloat-store in i386 build to pass tests
  * d/copyright: Add some contributor names that were missing

 -- Gert Wollny <gewo@debian.org>  Sat, 19 May 2018 22:12:40 +0200

libminc (2.3.00-5) unstable; urgency=medium

  * Team upload
  * d/p/net..:Strip MINC flag from nccreate call, Closes: #888925

 -- Gert Wollny <gewo@debian.org>  Thu, 08 Feb 2018 14:50:07 +0100

libminc (2.3.00-4) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Avoid test failure when tests are running in parallel mode
  * DEP3
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2017 19:00:48 +0100

libminc (2.3.00-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * New patch to support HDF5 1.10 (closes: #841970)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Oct 2016 18:14:22 +0100

libminc (2.3.00-3) unstable; urgency=medium

  * Wrote watch file
  * Use github issue tracker as contact
  * Use system FindHDF5 CMake module (thanks to Ghislain Antony Vaillant
    for the patch)
    Closes: #835400
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 02 Sep 2016 09:40:37 +0200

libminc (2.3.00-2) unstable; urgency=medium

  * patches/fix-endian-issues-label-data.patch: New.  Upstream fix for
    endianness problem.  Closes: #802072.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Nov 2015 07:34:14 -0600

libminc (2.3.00-1) unstable; urgency=medium

  * New upstream.  Contains library source only.  New minc-tools source
    package will build minc-tools.
    - Fixed to build with NetCDF 4.4.  Closes: #793885.

 -- Steve M. Robbins <smr@debian.org>  Sat, 12 Sep 2015 19:20:21 -0500

minc (2.2.00-6) unstable; urgency=medium

  * Apply two patches fixing Mahem test issues.  Thanks to Martin
    Steghöfer <martin@steghoefer.eu>
    Closes: #716511, #716616
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 06 Oct 2014 09:49:50 +0200

minc (2.2.00-5) unstable; urgency=medium

  [ Gilles Filippini ]
  * rules: Support hdf5 1.8.13 new packaging layout.  Closes: #756684.

 -- Steve M. Robbins <smr@debian.org>  Sat, 02 Aug 2014 12:06:50 -0500

minc (2.2.00-4) unstable; urgency=medium

  * Apply patch provided by Alexander Ovchinnikov to build with clang
    (thanks to Alexander)
    Closes: 741744
  * cme fix dpkg-control
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 05 May 2014 11:21:48 +0200

minc (2.2.00-3) unstable; urgency=low

  * patches/maxpathlen.patch: New.  Work around missing MAXPATHLEN on
    hurd.

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Sep 2013 00:39:06 -0500

minc (2.2.00-2) unstable; urgency=low

  * patches/pod_fix.diff: New.  Fix POD documentation to comply with
    stricter parsing of perl 5.18.  Closes: #719502.

  * rules: disable parallel build; causes tests to fail inexplicably.

 -- Steve M. Robbins <smr@debian.org>  Fri, 13 Sep 2013 23:22:53 -0500

minc (2.2.00-1) unstable; urgency=low

  * New upstream.
  * patches/hdfv2-fixes.patch: Remove.  Applied upstream.

  * patches/makefile.patch: New.  Fix build failure.
  * patches/acrnema-version.patch: New.  Add proper versioning to
    libacr_nema.

  * rules: Use "--with autoreconf" since new patches affect Makefile.am.

  * rules:
  * control: SOVERSION bump to 3; new package name libminc2-3.

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Oct 2012 23:09:25 -0500

minc (2.1.10-1) unstable; urgency=low

  * New upstream.

  * patches/03_mincview.diff: Remove.  Script mincview rewritten to use
    Imagemagick

  * patches/decompress-whole-file.diff:
  * patches/read_file_names-refactor.patch: Remove.  Applied upstream.
  * rules: Remove use of dh_autoreconf.

  * patches/hdfv2-fixes.patch: New.  Ensure using HDF5 v2 API.

  * control: Remove dependency and build-dependency on csh.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Feb 2012 01:37:47 -0600

minc (2.1.00-5) unstable; urgency=low

  * patches/mincaverage-pathmax.patch: Remove.
  * patches/read_file_names-refactor.patch: New.  Refactored duplicated
    PATH_MAX-using code into library.  Need to run autoreconf because
    Makefile.am changed.

  * rules: Fix errors and really disable tests on sparc.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Feb 2012 15:00:32 -0600

minc (2.1.00-4) unstable; urgency=low

  * source/format: Set to 3.0 (quilt), so that patches are applied.

  * patches/mincaverage-pathmax.patch: New.  Work around missing PATH_MAX
    definition; fixes FTBFS on hurd.

  * rules: Tests are buggy, but do work on most architectures.  Disable on
    sparc.

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Feb 2012 21:58:51 -0600

minc (2.1.00-3) unstable; urgency=low

  * control: Switch to (serial) libhdf5-dev, to avoid conflict with serial
    netcdf.  Closes: #658307.

  * control:
  * rules: Switch from cdbs to debhelper's dh (compat level 9).

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Feb 2012 08:53:04 -0600

minc (2.1.00-2) unstable; urgency=low

  * patches/decompress-whole-file.diff: New.  Always decompress entire
    file to support compressed MINC2 files.  Closes: #585676.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Dec 2011 20:47:03 -0600

minc (2.1.00-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Aug 2010 22:26:16 -0500

minc (2.0.18+cvs20100518-1) unstable; urgency=low

  * Pull upstream CVS, contains fixes for netcdf 4.  Closes: #577060,
    #581296.

  * control: replace libhdf5-*-dev (differing by architecture) by
    libhdf5-mpi-dev.

 -- Steve M. Robbins <smr@debian.org>  Tue, 18 May 2010 22:53:30 -0500

minc (2.0.18-1) unstable; urgency=low

  * New upstream version.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Jul 2009 05:24:57 -0500

minc (2.0.17-1) unstable; urgency=low

  * New upstream version.

  * patches/04_manpages.diff:
  * debian/patches/05_parseargv.diff: Remove; applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Tue, 20 Jan 2009 19:37:41 -0600

minc (2.0.16-4) unstable; urgency=low

  * debian/patches/05_parseargv.diff: New.  Patch from upstream to fix arg
    parsing on 64bits.  Closes: #510629.  This was also the root cause of
    mincheader and mincdiff failing.  Closes: #506276.

  * debian/control: Add ${misc:Depends}, since we use debhelper.

  * debian/rules: Do not install test code acr_test, dicom_test.

 -- Steve M. Robbins <smr@debian.org>  Sat, 03 Jan 2009 16:29:06 -0600

minc (2.0.16-3) unstable; urgency=low

  * debian/control: Extend previous fix from build-depends to libminc-dev
    depends; i.e. use OpenMPI, except for certain architectures that it
    doesn't support; in the latter case, use LAM.

 -- Steve M. Robbins <smr@debian.org>  Thu, 30 Oct 2008 01:10:55 -0500

minc (2.0.16-2) unstable; urgency=low

  * debian/control: Use OpenMPI, except for certain architectures that it
    doesn't support; in the latter case, use LAM.

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 Oct 2008 01:11:21 -0500

minc (2.0.16-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/02_mincedit-no-escape-chars: Remove.  Applied upstream.

  * debian/control: Switch dependencies from libhdf5-serial-dev to
    libhdf5-openmpi-dev.
  * debian/rules: Add CFLAGS=-I/usr/include/mpi to configure step so that
    mpi.h is found.

  * debian/control: Remove tetex-bin from build-depends (was alternative
    to texlive-latex-base).  Update Standards-Version to 3.8.0 (no
    changes).

  * debian/patches/04_manpages.diff: Fix errors in manpages, mainly
    removal of trailing TAB characters.

  * debian/rules: Adhere to parallel keyword in DEB_BUILD_OPTIONS.

 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Oct 2008 23:55:42 -0500

minc (2.0.15-3) unstable; urgency=low

  [ Charles Plessy ]
  * debian/copyright: added upstream contact information.

  [ Steve M. Robbins ]
  * debian/patches/02_mincedit-no-escape-chars.diff: New.  Patch mincedit
    to remove extraneous \n strings.  Closes: 486048.
  * debian/control: Replace depends on netcdfg-dev by libnetcdf-dev.

 -- Steve M. Robbins <smr@debian.org>  Thu, 19 Jun 2008 07:40:18 -0500

minc (2.0.15-2) unstable; urgency=low

  [ David Paleino ]
  * debian/rules:
    - conditionally add -mieee on Alpha (Closes: #368263)

  [ Steve M. Robbins ]
  * debian/rules: Do not run the tests, since they are broken in many
    ways; e.g. int functions without a return statement, checking
    floating-point values without a tolerance, and some that require a
    list of files on the command line but are given none.
    Closes: #475808.

 -- Steve M. Robbins <smr@debian.org>  Thu, 05 Jun 2008 09:24:59 -0500

minc (2.0.15-1) unstable; urgency=low

  [ Charles Plessy ]
  * Changed the doc-base section according to the new policy.

  [ David Paleino ]
  * New upstream release
  * debian/patches/:
    - 01_mincedit-sensible-viewer.diff updated
    - 02_testdir-runtests.diff removed, it has been merged upstream

 -- Steve M. Robbins <smr@debian.org>  Sat, 31 May 2008 05:53:26 -0500

minc (2.0.14-2) unstable; urgency=low

  * rules: Don't install byte_swap or extract; can use "dd" instead of
    these tools.  Closes: #459834.

  * control: Package minc-tools depends on libgetopt-tabular-perl.
  * rules: Don't install Tabular.pm.
  * Getopt-Tabular-0.3/Tabular.pm: Remove.
  * patches/04_progs-use-lib.diff: Remove.
  * copyright: Remove Getopt-Tabular license text.

 -- Steve M. Robbins <smr@debian.org>  Fri, 11 Jan 2008 00:30:23 -0600

minc (2.0.14-1) unstable; urgency=low

  * New upstream version.  Closes: #450922.

  * control: Set Maintainer to debian-med-packaging.
    Add build-depends for libhdf5-serial-dev, texlive-latex-base.
    Rename package libminc0 --> libminc2-1.
    Rename package libminc0-dev --> libminc-dev.
    Package libminc-dev depends on libhdf5-serial-dev.
    Package minc-tools depends on imagemagick.

  * rules: Configure with --enable-minc2 and --enable-acr-nema.

  * Getopt-Tabular-0.3/Tabular.pm: New.  Perl module required
    for mincpik and xfmflip.  Closes: #457074.

  * patches/02_testdir-runtests.diff: New.  Fix test scripts.

  * patches/03_mincview.diff: New.  Use 'display' from ImageMagick rather
    than 'xv' to view images.  Closes: #457072.

  * patches/04_progs-use-lib.diff: New.  Add "use lib" declaration to find
    the private Getopt::Tabular.

 -- Steve M. Robbins <smr@debian.org>  Sun, 06 Jan 2008 20:40:29 -0600

minc (1.5-2) NEVER UPLOADED; urgency=low

  * Rewrite build system using cdbs.
    - patches/01_mincedit-sensible-viewer.diff: New.  Obtained from
      existing Debian diff.

  * control: Build-depend on texlive-latex-base | tetex-bin, rather
    than just tetex-bin.  Update to Standards-Version 3.7.3 (no change
    required).  Use ${binary:Version} rather than ${Source-Version}
    for libminc0-dev dependency on libminc0.  Add Homepage and Vcs-Svn
    header fields.

 -- Steve M. Robbins <smr@debian.org>  Sat, 29 Dec 2007 15:10:53 -0600

minc (1.5-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Mon, 13 Nov 2006 23:26:13 -0600

minc (1.4.1-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Nov 2006 22:14:54 -0600

minc (1.4-4) unstable; urgency=low

  * testdir/create_grid_xfm.c: initialize minc_input_options properly.
  Closes: #352183.

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Feb 2006 17:33:37 -0500

minc (1.4-3) unstable; urgency=low

  * Build-depend on csh.  Closes: #351826.

 -- Steve M. Robbins <smr@debian.org>  Tue,  7 Feb 2006 20:02:56 -0500

minc (1.4-2) unstable; urgency=low

  * Rebuild to pick up new netcdf library, which changed due to
  C++ ABI transition (#346312).

 -- Steve M. Robbins <smr@debian.org>  Sun,  5 Feb 2006 13:45:22 -0500

minc (1.4-1) unstable; urgency=low

  * New upstream version.

  * Omit dependency on essential package debianutils (for sensible-editor).
  Closes: #316425.

 -- Steve M. Robbins <smr@debian.org>  Sun,  3 Jul 2005 20:31:25 -0400

minc (1.3-3) unstable; urgency=low

  * progs/mincedit/mincedit: use "sensible-editor" rather than "emacs".
    Closes: #292194.

 -- Steve M. Robbins <smr@debian.org>  Thu, 27 Jan 2005 22:21:22 -0500

minc (1.3-2) unstable; urgency=low

  * debian/rules: package minc-tools depends on libtext-format-perl
    Closes: #278840.

 -- Steve M. Robbins <smr@debian.org>  Sun, 28 Nov 2004 14:33:06 -0500

minc (1.3-1) unstable; urgency=low

  * New upstream version.
    Re-ran all auto*-tools machinery, as upstream used fairly old versions.

  * configure.in: Don't use AC_CONFIG_LINKS to generate link
    volume_io/Include/volume_io to directory volume_io/Include as
    autoconf 2.59 chokes on it.  Use shell commands instead.

  * volume_io/Include/internal_volume_io.h: Do not include "config.h".
  * volume_io/Prog_utils/files.c: Do include "config.h".
  * volume_io/Prog_utils/time.c: Restore call to sysconf( _SC_CLK_TCK ),
    wrapped in #if HAVE_SYSCONF.

 -- Steve M. Robbins <smr@debian.org>  Sun, 28 Nov 2004 14:22:03 -0500

minc (1.2-1) unstable; urgency=low

  * New upstream version.

  * debian/control: minc-tools depend on netcdf-bin (for ncdump).

 -- Steve M. Robbins <smr@debian.org>  Sat, 20 Dec 2003 11:22:09 -0500

minc (1.1-1) unstable; urgency=low

  * New upstream.
    - build shared lib package
    - rename devel package to libminc0-dev

 -- Steve M. Robbins <smr@debian.org>  Sat, 25 Jan 2003 18:25:04 -0500

minc (1.0-2) unstable; urgency=low

  * libminc-dev: Depend on netcdfg-dev.

  * minc-tools: Use "csh|c-shell" in dependency line, remove dependency
  on "awk" on advice from lintian.

  * Update from upstream CVS.

 -- Steve M. Robbins <smr@debian.org>  Wed, 11 Dec 2002 12:27:36 -0500

minc (1.0-1) unstable; urgency=low

  * Initial Debian package.  Closes: #153629.

  * Patches from upstream CVS:
    - libsrc/ParseArgv.h: declare as "extern C"
    - progs/mincstats/mincstats.c: fix segfault

 -- Steve M. Robbins <smr@debian.org>  Mon, 29 Jul 2002 16:06:56 -0400
